org.red5.server.stream.bandwidth

## Class ServerClientDetection

- java.lang.Object
- - org.red5.server.stream.bandwidth.ServerClientDetection

All Implemented Interfaces:
  IPendingServiceCallback, IBandwidthDetection

    public class ServerClientDetection
    extends Object
    implements IPendingServiceCallback, IBandwidthDetection

Calculates the bandwidth between the client and server. The checks originate from the server.

Author:
  The Red5 Project (red5@osflash.org), Dan Rossi, Paul Gregoire
See Also:
  FMS 3.5 Bandwidth Doc

### Constructor Summary

Constructors
Constructor and Description
`ServerClientDetection()`

### Method Summary

Methods
`void` `calculateClientBw(IConnection conn)`
`void` `checkBandwidth(IConnection conn)`
`void` `onServerClientBWCheck()`
`void` `resultReceived(IPendingServiceCall call)` Handle callback from service call.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerClientDetection

    public ServerClientDetection()

### Method Detail

#### checkBandwidth

    public void checkBandwidth(IConnection conn)

Specified by:
  `checkBandwidth` in interface `IBandwidthDetection`

#### calculateClientBw

    public void calculateClientBw(IConnection conn)

Specified by:
  `calculateClientBw` in interface `IBandwidthDetection`

#### resultReceived

    public void resultReceived(IPendingServiceCall call)

Handle callback from service call.

Specified by:
  `resultReceived` in interface `IPendingServiceCallback`
Parameters:
  `call` - Call object this callback is applied to

#### onServerClientBWCheck

    public void onServerClientBWCheck()